using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(fileName = "Player", menuName = "Player/Player", order = 0)]
public class Player : ScriptableObject
{
    [SerializeField]
    private float currentHealth = 100f;
    [SerializeField]
    private float currentSpeed = 5f;

    public Vector2 playerPosition;

    public float getCurrentHealth(){
        return currentHealth;
    }

    public float getCurrentSpeed(){
        return currentSpeed;
    }
}
