using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(fileName = "Enemy", menuName = "Enemy/Enemy", order = 0)]
public class Enemy : ScriptableObject 
{
    [SerializeField]
    private float currentHealth = 100f;
    [SerializeField]
    private float currentSpeed = 2f;
    [SerializeField]
    private float damage = 20f;

    public float getCurrentHealth(){
        return currentHealth;
    }

    public float getCurrentSpeed(){
        return currentSpeed;
    }

    public float getDamage(){
        return damage;
    }
}
